.root {
  overflow: hidden;
}

.root:hover .image {
  transform: scale(1.1);
}

.link {
  position: relative;

  display: block;
  
  text-decoration: none;
}

.main-content {
  position: relative;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 40px;
  min-height: 550px;
  height: 100%;
  
  background-color: rgba(0,0,0,0.3);

  transition: all 0.7s linear;
}

/* .link:hover .main-content {
  min-height: 275px;
} */

.hover-content {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;

  overflow: hidden;
  padding: 0 40px;
  height: 0;
  color: var(--color-white);
  background-color: var(--color-fungreen);
  /* transition: all 0.7s linear; */
  transition: all .2s cubic-bezier(0,.9,.4,1);
}

.link:hover .hover-content {
  padding: 40px 40px;
  height: 275px;

  transition-timing-function: cubic-bezier(.26,.92,.34,1);
}

.header {
  margin-bottom: 0.5rem;

  color: #ffffff;
  text-decoration: underline;
}

.header:hover {
  text-decoration: none;
}

.desc {
  /* composes: heading-4 from global; */
  margin-bottom: 0;

  font-size: 1.3rem;
  line-height: 1.3em;
  color: var(--color-white);
}

.image-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
}

.image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top center;
  
  transform: scale(1);
  transition: all 1s ease;
}

.text {
  margin-bottom: 22px;
  font-weight: 300;
  font-size: 1rem;
  line-height: 2;
}

.button {
  composes: button from global;

  padding: 14px 40px;
  min-width: auto;
  height: auto;
  font-weight: 600;
  font-size: 1rem;
  line-height: 2;
  color: var(--color-white);
  background-color: var(--color-tropical-rain-forest);
}

@media (min-width: 768px) {
  .main-content {
    padding: 50px;
  }

  .link:hover .hover-content {
    padding: 42px 50px;
  }
}

@media (min-width: 992px) {
  .main-content {
    padding: 60px;
  }

  .link:hover .hover-content {
    padding: 44px 60px;
  }
}

@media (min-width: 1200px) {
  .main-content {
    padding: 70px;
  }

  .hover-content {
    padding: 0 70px;
  }

  .link:hover .hover-content {
    padding: 46px 70px;
  }
}

@media (min-width: 1600px) {
  .main-content {
    padding: 80px;
  }

  .hover-content {
    padding: 0 80px;
  }

  .link:hover .hover-content {
    padding: 48px 80px;
  }
}

/* 
@media (min-width: 1600px) {
  .main-content {
    padding: 90px;
  }

  .hover-content {
    padding: 0 90px;
  }

  .link:hover .hover-content {
    padding: 48px 90px;
  }
} */